OS Filters
Add an OS filter for the specified published resource. Deprecated path - Use Criteria section instead.
Path parameters
idinteger · int32Required
ID of the published resource to be updated
Body
Add an OS filter for the specified published resource
osFilterEnabledboolean · nullableOptional
Whether to enable or disable the filter for the specified published resource.
allowClientChromeboolean · nullableOptional
Allow Chrome OS clients.
allowClientAndroidboolean · nullableOptional
Allow Android clients.
allowClientWebboolean · nullableOptional
Allow Web clients.
allowClientIOSboolean · nullableOptional
Allow IOS clients.
allowClientLinuxboolean · nullableOptional
Allow Linux clients.
allowClientMACboolean · nullableOptional
Allow Mac clients.
allowClientWindowsboolean · nullableOptional
Allow Windows clients.
allowClientWyseboolean · nullableOptional
Allow Wyse clients.
Responses
201
Created
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
409
Conflict
application/json; api-version=1.0
put/api/PubItems/{id}/OSFilters
PUT /api/PubItems/{id}/OSFilters HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 214
{
"osFilterEnabled": true,
"allowClientChrome": true,
"allowClientAndroid": true,
"allowClientWeb": true,
"allowClientIOS": true,
"allowClientLinux": true,
"allowClientMAC": true,
"allowClientWindows": true,
"allowClientWyse": true
}No content
Last updated